org.eclipse.wst.jsdt.chromium.debug.ui.actions

## Class SynchronizeBreakpoints

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.actions.SynchronizeBreakpoints

Direct Known Subclasses:
  SynchronizeBreakpoints.Merge, SynchronizeBreakpoints.ResetLocal, SynchronizeBreakpoints.ResetRemote

    public class SynchronizeBreakpoints
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `SynchronizeBreakpoints.Merge`
`static class` `SynchronizeBreakpoints.ResetLocal`
`static class` `SynchronizeBreakpoints.ResetRemote`

### Constructor Summary

Constructors
`protected` `SynchronizeBreakpoints(BreakpointSynchronizer.Direction direction)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `dispose()`
`static ConnectedTargetData` `getConnectionTargetData(java.lang.Object element)`
`void` `init(IWorkbenchWindow window)`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynchronizeBreakpoints

    protected SynchronizeBreakpoints(BreakpointSynchronizer.Direction direction)

### Method Detail

#### dispose

    public void dispose()

#### init

    public void init(IWorkbenchWindow window)

#### run

    public void run(IAction action)

#### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

#### getConnectionTargetData

    public static ConnectedTargetData getConnectionTargetData(java.lang.Object element)